Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161173 - Database report wizard hangs when clicked
Summary: Database report wizard hangs when clicked
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 01:24 UTC by clifford snow
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.9.117-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 07:54:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 51912 None None None Never

Description clifford snow 2005-06-21 01:24:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I attempt to create a report using calc with a valid odbc, mysql database, openoffice -writer starts and then hangs.  This is documented in openoffice.org.  See the url above.  



Version-Release number of selected component (if applicable):
openoffice.org-calc-1.9.104-2

How reproducible:
Always

Steps to Reproduce:
1.open any database
2.start report wizard
3.writer hangs running the wizard
  

Actual Results:  openoffice -writer hangs

Expected Results:  wizard opens to select table/query to produce report.

Additional info:

Comment 1 Caolan McNamara 2005-06-29 08:57:40 UTC
should be ok in 1.9.112

Comment 2 clifford snow 2005-06-29 22:01:10 UTC
Installed 1.9.112 - same results.  Writer opens, shows progress on the status
bar, but hangs after 11 bars.  

Using the same document on FC3 with a downloaded copy of version 1.9.109
directly from openoffice.org works.  

The same result happen on both large (30K records) mysql databases or small (
10-20 records.)

Comment 3 Caolan McNamara 2005-06-30 07:02:43 UTC
These database bugs are extraordinarily hard to reproduce :-(

Comment 4 Caolan McNamara 2005-07-13 17:44:14 UTC
hmm, if you run OOo from a gnome-terminal do you see this...

   at java.lang.Object.getClass() (/usr/lib/libgcj.so.6.0.0)
   at
com.sun.star.wizards.ui.TitlesComponent.addTextListener(com.sun.star.awt.XTextListener)
(Unknown Source)
   at com.sun.star.wizards.report.ReportWizard.buildSteps() (Unknown Source)
   at
com.sun.star.wizards.report.ReportWizard.startReportWizard(com.sun.star.lang.XMultiServiceFactory,
com.sun.star.beans.PropertyValue[]) (Unknown Source)
   at
com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(java.lang.String)
(Unknown Source)
   at SalDisplay.DispatchInternalEvent()
(/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so)
   at .g_main_context_dispatch (/usr/lib/libglib-2.0.so.0.701.1)
   at .g_main_context_iteration (/usr/lib/libglib-2.0.so.0.701.1)
   at X11SalInstance.Yield(unsigned char)
(/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so)
   at Application.Yield() (/usr/lib/openoffice.org2.0/program/libvcl680li.so)
   at Application.Execute() (/usr/lib/openoffice.org2.0/program/libvcl680li.so)
   at desktop.Desktop.Main() (/usr/lib/openoffice.org2.0/program/soffice.bin)
   at .SVMain() (/usr/lib/openoffice.org2.0/program/libvcl680li.so)
   at .sal_main (/usr/lib/openoffice.org2.0/program/soffice.bin)
   at .__libc_start_main (/lib/libc-2.3.90.so)
   at Window.RequestHelp(HelpEvent const&)
(/usr/lib/openoffice.org2.0/program/soffice.bin)

Comment 5 Caolan McNamara 2005-07-13 18:51:53 UTC
I have a patch to fix the crash I see, will be in 1.9.117-1

Comment 6 Caolan McNamara 2005-07-14 07:54:11 UTC
The crash I see is fixed in 1.9.117-1

Comment 7 Francisco Vila 2005-12-01 11:10:00 UTC
Please reopen that bug.

In openoffice.org 2.0 I keep on obtaining this bug.
java.lang.NullPointerException
	at com.sun.star.wizards.ui.TitlesComponent.addTextListener(TitlesComponent.java)
	at com.sun.star.wizards.report.ReportWizard.buildSteps(ReportWizard.java)
	at com.sun.star.wizards.report.ReportWizard.startReportWizard(ReportWizard.java)
	at
com.sun.star.wizards.report.CallReportWizard$ReportWizardImplementation.trigger(CallReportWizard.java)



Note You need to log in before you can comment on or make changes to this bug.